TCPSER(1)

NAME
tcpser - emulate a Hayes compatible modem

SYNOPSIS
tcpser -d dev -s speed [-l log_level -t tracing_options] ...
tcpser -v port [-l log_level -t tracing_options] ...

DESCRIPTION
This manual page documents briefly the tcpser command.

tcpser turns a PC serial port into an emulated Hayes compatible modem that uses TCP/IP for incoming and outgoing connections. It can be used to allow older applications and systems designed for modem use to operate on the Internet. tcpser supports all standard Hayes commands, and understands extended and vendor proprietary commands (though it does not implement many of them). tcpser can be used for both inbound and outbound connections.

OPTIONS
A summary of options is included below.

-h  Show summary of options.

-p  Port to listen on (defaults to 6400).

-t  Trace flags: (can be combined)
    s   modem input
    S   modem output
    i   IP input
    I   IP output

-l  Log level: 0 (NONE), 1 (FATAL) - 7 (DEBUG_X) (defaults to 0).

-L  Log file (defaults to stderr).

The following can be repeated for each modem desired (-s, -S, and -i will apply to any subsequent device if not set again):

-d  Serial device (e.g. /dev/ttyS0). Cannot be used with -v

-v  TCP port for VICE RS232 (e.g. 25232). Cannot be used with -d

-s  Serial port speed (defaults to 38400).

-S  Speed modem will report (defaults to -s value).

-I  Invert DCD pin.

-n  Add phone entry (number=replacement).

-a  Filename to send to local side upon answer.

-A  Filename to send to remote side upon answer.

-c  Filename to send to local side upon connect.

-C  Filename to send to remote side upon connect.

-N  Filename to send when no answer.

-B  Filename to send when modem(s) busy.

-T  Filename to send upon inactivity timeout.

-i  Modem init string (defaults to `', leave off `at' prefix when specifying).

-D  Direct connection (follow with hostname:port for caller, : for receiver).

AUTHOR
tcpser was written by Jim Brain <brain@jbrain.com>.

This manual page was written by Peter Collingbourne <pcc03@doc.ic.ac.uk>, for the Debian project (but may be used by others).